/// <reference types="node" />
import { GTX, RellOperation } from "../gtx/types";
import { NetworkSettings, Operation, SignedTransaction, Transaction } from "./types";
export declare function getConfig(settings: NetworkSettings): Promise<{
    endpointPool: string[];
    blockchainRID: Buffer;
    pollingInterval: number;
    attemptsPerEndpoint: number;
    attemptInterval: number;
}>;
export declare function validTxRID(txRID: Buffer): boolean;
export declare function getNodeUrls(settings: NetworkSettings): Promise<string[]>;
export declare function convertToRellOperation(operations: Operation[]): RellOperation[];
export declare function testPromiEvent(): any;
export declare function getSerializedGTX(gtx: GTX): Buffer;
export declare function getGTXFromBufferOrTransactionOrOperation(transaction: SignedTransaction | Transaction | Operation, blockchainRID: Buffer): GTX;
export declare const callbackPromiseBuilder: (reject: any, resolve: any, callback?: any) => (error: Error, result: any) => void;
export declare const handlePostResponsePromisified: (error: Error, statusCode: number, rspBody: any) => Promise<void>;
